package net.lensfrex.disillusion.client.util;

import net.coobird.thumbnailator.Thumbnails;

import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.IOException;

public class ImageUtil {
    public static byte[] processImage(File inputFile, float scale, float level, String format) throws IOException {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        Thumbnails.of(inputFile)
                .scale(scale)
                .outputQuality(level)
                .outputFormat(format)
                .toOutputStream(byteArrayOutputStream);

        return byteArrayOutputStream.toByteArray();
    }
}
