package net.lensfrex.disillusion.configure;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties("disillusion")
public class GlobalConfigure {
    private String databaseDir;

    private static String jwtSecret;

    public static String getJwtSecret() {
        return jwtSecret;
    }

    @Value("${disillusion.tokenSecretKey}")
    public void setJwtSecret(String jwtSecret) {
        GlobalConfigure.jwtSecret = jwtSecret;
    }
}
