package net.lensfrex.disillusion.web.response.user;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class PublicStudentInfoResponse extends UserInfoResponseBase {
    private String id;

    /**
     * 真名
     */
    private String realName;

    /**
     * 简介
     */
    private String shortDescribe;

    /**
     * 介绍
     */
    private String describe;

    /**
     * 电话号
     */
    private String phoneNumber;

    /**
     * 年龄
     */
    private int age;

    /**
     * 性别，0：男；1：女
     */
    private int sex;
}
