package net.lensfrex.disillusion.data;

import java.io.Serializable;

public interface List<T> extends Serializable {
    T get(int index);

    int size();

    boolean isEmpty();

    void add(T value);

    void add(T value, int index);

    void set(int index, T newValue);

    void remove(int index);

    void remove(Object value);

    int indexOf(Object value);

    boolean contains(Object obj);

    Object[] toArray();

    T[] toArray(T[] array);
}
