package net.lensfrex.disillusion.model.student;

import lombok.Data;
import net.lensfrex.disillusion.model.StoreData;

import java.io.Serializable;

/**
 * 简历
 */
@Data
public class Resume implements Serializable, StoreData {
    private String id;

    /**
     * 学生id
     */
    private String ownerId;

    /**
     * 简历标题（名称）
     */
    private String title;

    /**
     * 简历备注信息
     */
    private String remark;

    /**
     * 简历文件id，一般来说等同于简历id
     */
    private String resumeFileId;
}
