package net.lensfrex.disillusion.client;

import cn.hutool.core.thread.ThreadUtil;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.stage.Stage;
import net.lensfrex.disillusion.client.config.Constants;
import net.lensfrex.disillusion.client.controller.LoginMainController;
import okhttp3.OkHttpClient;

import java.io.File;
import java.io.IOException;

public class ClientMain extends Application {
    private static final OkHttpClient okhttp = Constants.globalClient;

    private static Stage stage;

    public static Stage getStage() {
        return stage;
    }

    @Override
    public void start(Stage stage) throws IOException {
        ClientMain.stage = stage;

        // 抗锯齿
        System.setProperty("prism.lcdtext", "false");
        File tokenFile = new File(Constants.tokenFile);
        if (tokenFile.exists()) {

        }

        FXMLLoader fxmlLoader = new FXMLLoader(ClientMain.class.getResource("fxml/loginMain.fxml"));
        Scene scene = new Scene(fxmlLoader.load(), 1000, 600);
        stage.setTitle("disillusion - login");
        stage.setScene(scene);
        stage.show();

        LoginMainController loginMainController = fxmlLoader.getController();
        loginMainController.setMainStage(stage);
    }

    public static void main(String[] args) {
        launch();
    }
}