package net.lensfrex.disillusion.client.controller.components.employer.application;

import com.jfoenix.controls.JFXRadioButton;
import javafx.fxml.FXML;
import javafx.scene.control.ToggleGroup;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;

public class ApplicationDealPane extends VBox {

    @FXML
    private JFXRadioButton acceptRadioButton;

    @FXML
    private JFXRadioButton rejectRadioButton;

    private final ToggleGroup opinionGroup = new ToggleGroup();

    public void initialize() {
        acceptRadioButton.setToggleGroup(opinionGroup);
        acceptRadioButton.setUserData("accept");

        rejectRadioButton.setToggleGroup(opinionGroup);
        rejectRadioButton.setUserData("reject");

        opinionGroup.selectToggle(acceptRadioButton);
    }

    public String getOpinion() {
        return (String) opinionGroup.getSelectedToggle().getUserData();
    }
}
