package net.lensfrex.disillusion.client.controller.components.employer.application;


import com.jfoenix.controls.datamodels.treetable.RecursiveTreeObject;
import net.lensfrex.disillusion.client.data.response.ApplicationResponse;
import net.lensfrex.disillusion.client.data.response.PublicStudentInfoResponse;

public class ApplicationTableItem extends RecursiveTreeObject<ApplicationTableItem> {
    private final ApplicationResponse application;
    private final PublicStudentInfoResponse student;

    public ApplicationTableItem(ApplicationResponse application, PublicStudentInfoResponse student) {
        this.application = application;
        this.student = student;
    }

    public ApplicationResponse getApplication() {
        return application;
    }

    public PublicStudentInfoResponse getStudent() {
        return student;
    }
}