package net.lensfrex.disillusion.web.controller;

import net.lensfrex.disillusion.annotation.CheckAuth;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class TestController {
    @RequestMapping("/ping")
    public String ping() {
        return "pong";
    }

    @CheckAuth
    @RequestMapping("/ping-token")
    public String pingWithToken() {
        return "pong";
    }
}
