package net.lensfrex.disillusion.web.response;

import lombok.Data;
import net.lensfrex.disillusion.model.OfferApplication;

/**
 * 求职申请
 */
@Data
public class ApplicationResponse {
    private String id;

    /**
     * 发布者id
     */
    private String publisherId;

    /**
     * 目标公司id
     */
    private String targetId;

    /**
     * 申请的offerId
     */
    private String offerId;

    /**
     * 简历id
     */
    private String resumeId;

    /**
     * 申请状态
     */
    private OfferApplication.Status status;
}