package net.lensfrex.disillusion.web.response;

import lombok.Data;

@Data
public class OfferListResponse {
    private int total;
    private int page;
    private int size;
    private OfferResponse[] result;

    @Data
    public static class OfferResponse {
        private String id;

        /**
         * 发布公司
         */
        private String publisherId;

        /**
         * 岗位名称
         */
        private String jobName;

        /**
         * 工作地点
         */
        private String place;

        /**
         * 要求
         */
        private String requirement;

        /**
         * 预期薪资
         */
        private Integer salary;

        /**
         * 目标人数
         */
        private Integer targetNumber;

        /**
         * 详细信息
         */
        private String detail;
    }
}
