package net.lensfrex.disillusion.model;

import lombok.Data;

import java.io.Serializable;

/**
 * 求职申请
 */
@Data
public class OfferApplication implements Serializable, StoreData {
    private String id;

    /**
     * 目标公司id
     */
    private String targetId;

    /**
     * 求职发起者id
     */
    private String publisherId;

    /**
     * 申请的offerId
     */
    private String offerId;

    /**
     * 简历id
     */
    private String resumeId;

    /**
     * 申请状态
     */
    private Status status;

    public enum Status {
        ACCEPTED, WAITING, REJECTED
    }
}