package net.lensfrex.disillusion.dao.database;

import java.io.IOException;

public interface Table <T> {
    T select(String id) throws IOException, ClassNotFoundException;
    void delete(T record) throws IOException, ClassNotFoundException;
    void delete(String id) throws IOException, ClassNotFoundException;
    void insertOrUpdate(T record) throws IOException, ClassNotFoundException;
    void update(T record) throws IOException, ClassNotFoundException;
}
