package net.lensfrex.disillusion.dao.database;

import java.io.IOException;

public class VirtualDatabase {
    public static <T> T getTable(String tableName, Class<T> objectClass) throws IOException, ClassNotFoundException {
        return (T) DatabaseOperator.read(tableName, objectClass);
    }

    public static <T> void saveTable(String tableName, T tableObj) throws IOException {
        DatabaseOperator.write(tableName, tableObj);
    }

    public static void init(String baseDir) throws IOException {
        DatabaseOperator.init(baseDir);
    }
}
